local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end
local AddonName, a = ...
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

local c = BittensSpellFlashLibrary2

local function flashElemental()
    a.FlashAll("Lightning Shield", "Flametongue Weapon")
    if not s.InCombat() then
        a.Flash("Thunderstorm")
        return
    end
    
    a.Flash("Elemental Mastery")
    a.Flash(
        "Fire Elemental Totem",
        "Flametongue Totem",
        "Lava Burst",
        "Flame Shock",
--        "Unleash for Lava Burst",
        "Fulmination",
        "Lightning Bolt")
end

local function flashResto()
    a.FlashAll("Water Shield", "Earthliving Weapon", "Earth Shield")
end

s.Spam[AddonName] = function()
    c.Init(AddonName, a)
    c.Run(
        { flashElemental, 1, "elemental_off" },
        { flashResto, 3, "resto_off" })
end
